# Work Sans

## 2018 Update ##
![Animation](https://raw.githubusercontent.com/weiweihuanghuang/Work-Sans/master/documentation/images/animation.gif)

![Thin to Regular](https://raw.githubusercontent.com/weiweihuanghuang/Work-Sans/master/documentation/images/waterfall.png)

Work Sans has been updated in 2018 with accompanying italics, variable font files and the character set has been expanded to the [Google Latin Expert glyph set](https://github.com/googlefonts/gftools/tree/master/encodings/GF%20Glyph%20Sets), which will now support Vietnamese along with these additional languages:

<details><summary>Additional Languages</summary>
Abenaki, Afaan Oromo, Afar, Albanian, Alsatian, Amis, Anuta, Aragonese, Aranese, Aromanian, Arrernte, Arvanitic, Asturian, Atayal, Aymara, Azerbaijani, Bashkir, Belarusian, Bemba, Bikol, Bislama, Bosnian, Cape Verdean Creole, Cebuano, Chamorro, Chavacano, Chichewa, Chickasaw, Cimbrian, Cofán, Cornish, Corsican, Creek, Crimean Tatar, Dawan, Delaware, Dholuo, Drehu, Esperanto, Fijian, Filipino, Folkspraak, Frisian, Friulian, Galician, Ganda, Genoese, Gikuyu, Gooniyandi, Greenlandic (Kalaallisut), Guadeloupean Creole, Gwich’in, Haitian Creole, Hän, Hawaiian, Hiligaynon, Hopi, Hotcąk, Ido, Igbo, Ilocano, Interglossa, Interlingua, Istro-Romanian, Jamaican, Jèrriais, Kaingang, Kala Lagaw Ya, Kapampangan, Kaqchikel, Karakalpak, Karelian, Kikongo, Kinyarwanda, Kiribati, Kirundi, Klingon, Kurdish, Ladin, Latin, Latino sine Flexione, Lojban, Lombard, Low Saxon, Luxembourgish, Maasai, Makhuwa, Maltese, Manx, Māori, Marquesan, Megleno-Romanian, Meriam Mir, Mirandese, Mohawk, Montagnais, Montenegrin, Murrinh-Patha, Nagamese Creole, Nahuatl, Ndebele, Neapolitan, Ngiyambaa, Niuean, Noongar, Novial, Occidental, Occitan, Old Icelandic, Old Norse, Onĕipŏt, Oshiwambo, Ossetian, Palauan, Papiamento, Piedmontese, Potawatomi, Q’eqchi’, Quechua, Rarotongan, Romansh, Rotokas, Samoan, Sango, Saramaccan, Sardinian, Scottish Gaelic, Seri, Seychellois Creole, Shawnee, Shona, Sicilian, Slovio, Somali, Sotho (Northern), Sotho (Southern), Sranan, Sundanese, Swazi, Tagalog, Tahitian, Tetum, Tok Pisin, Tokelauan, Tongan, Tshiluba, Tsonga, Tswana, Tumbuka, Turkmen, Tuvaluan, Tzotzil, Uzbek, Venetian, Vepsian, Volapük, Võro, Wallisian, Waray-Waray, Warlpiri, Wayuu, Wik-Mungkan, Wiradjuri, Wolof, Xavante, Xhosa, Yapese, Yindjibarndi, Zapotec, Zarma, Zazaki, Zulu, Zuni</details>


Some glyph drawings have been updated (improved!), kerning has been fixed in some areas. 

Reflow will occur, things will get a tiny bit tighter in some areas.

For the **desktop OTF fonts**: since new taller and deeper glyphs have been added, using these in certain software will have increased line-spacing (for Adobe apps, it should be the same).

Completed in November 2018, with contributions from [CrystalType](https://github.com/crystaltype) (Vietnamese), [Dennis Grauel](https://dennisgrauel.com/) and [Kia Tasbihgou](http://www.kiatas.me/) (production), and [Stephen Nixon](http://www.thundernixon.com/) (for valuable assistance on variable font workflows)


## Introduction ##

### [Use at Google Fonts,](https://www.google.com/fonts/specimen/Work+Sans) (2018 update not uploaded yet)

<!--### [Download (Source, OTF, TTF, WOFF, WOFF2)](https://github.com/weiweihuanghuang/Work-Sans/archive/v1.6.zip)-->

A SIL Open Font project titled 'Work Sans'.

Work Sans is a 9 weight typeface family based loosely on early Grotesques — i.e. [Stephenson Blake](https://www.flickr.com/photos/stewf/14444337254/), [Miller & Richard](https://archive.org/stream/printingtypespec00millrich#page/226/mode/2up/) and [Bauerschen Giesserei](https://archive.org/stream/hauptprobeingedr00baue#page/109/mode/1up). The core of the fonts are optimised for on-screen medium-sized text usage (14px-48px) – but still can be used in print well. The fonts at the extreme weights are designed more for display use. Overall, features are simplified and optimised for screen resolutions – for example, diacritic marks are larger than how they would be in print.

The fonts under **/fonts/static/OTF** are OTF fonts for desktop programs such as the Adobe Suite or Office (Office fonts are only styled linked for Regular and Bold). The metrics are set so that they are more consistent across desktop programs.

The fonts under **/fonts/static/TTF**, **/fonts/static/WOFF**, **/fonts/static/WOFF2** contain formats for web use. They have been autohinted with ttfautohint.

The fonts under **/fonts/variable** are variable TTF fonts.

This typeface was funded by Google and is distributed by Google Fonts – many thanks to Dave Crossland for the commission.

Please see BUILD.md for build instructions.

### [Web specimen](http://weiweihuanghuang.github.io/Work-Sans/).

### [Print PDF Specimen](documentation/Work-Sans-Print-Specimen.pdf?raw=true).

## Suggestion, Comments, Contributions
If you spot any errors or have any suggestions for improvements you can fork this project, create an [Issue](../../issues) or email me at <a href="mailto:wweeiihhuuaanngg@gmail.com">wweeiihhuuaanngg@gmail.com</a>.

## Notes
The project started in June 2014 and the brief was to have a [minimum viable product](http://en.wikipedia.org/wiki/Minimum_viable_product) (alpha release with 9 weights) by December 2014. Work Sans was first available on Google fonts in July 2015.

## All the Thanks
Hjerteleg tusen takk til Tone Sjåstad for her suport, patience, encouragement and inspiration throughout the process. 

Many thanks to the following who provided valuable feedback and encouragement:
Mathieu Cannavo, Vincent Chan, Greg Gazdowicz, Jack Jennings, Seb McLauchlan, Dan Milne, Scott Rankin, Dan Reynolds, David Jonathan Ross, Adam Twardoch, David Wise. 

Thanks to the following people for their assitance and contributions:

[CrystalType](https://github.com/crystaltype)

[Dennis Grauel](https://dennisgrauel.com/)

[Denis Moyogo Jacquerye](https://github.com/moyogo)

[Stephen Nixon](http://www.thundernixon.com/)

[Desmond Wong](http://desmondwong.com/)

[Kia Tasbihgou](http://www.kiatas.me/)

Thanks to Simon Egli for inviting me to work together on Metapolator in the first place.

Thanks to everyone who was in my pocket the whole time.

## License
Work Sans is licensed under the SIL Open Font License v1.1 (<http://scripts.sil.org/OFL>)

To view the copyright and specific terms and conditions please refer to [OFL.txt](OFL.txt).